<?php
/**
 * @file
 * Template file for the thank you page.
 *
 * Available variables:
 *
 * @var $account: The user account.
 * @var $membership: The membership object.
 * @var $history_item: The history item object.
 */
?>
<!-- membersify-thankyou-page template -->
<div class="membersify_thankyou_page">
  <div class='membersify_thankyou_text'>
    <?php print t("Thank you! Your subscription was successful and is now active."); ?>
  </div>

  <?php if ($membership->next_payment) { ?>
    <div class='membersify_next_payment'>
      <?php
        print t("You will be billed @amount on @date to continue your membership.",
          array(
            '@amount' => membersify_format_money($membership->payment_plan['main_amount'], $membership->payment_plan['currency']),
            '@date' => format_date($membership->next_payment, 'medium')
          ));
      ?>
    </div>
  <?php } ?>

  <?php if ($membership->expiration) { ?>
    <div class='membersify_expiration'>
      <?php
        print t("Your membership will expire on @date.",
          array('@date' => format_date($membership->expiration, 'medium')));
      ?>
    </div>
  <?php } ?>
</div>
<!-- /membersify-thankyou-page template -->
